'''
rtx - RetroText
cept: Enthält CEPT-Steuerzeichen
by Anna Christina Naß <acn@acn.wtf>
released under GPL
'''

CR = "\x0d"
UMLAUT = "\xc9"
INI = "\x13"
TER = "\x1c"
SEND = "\x1a"
CURSOR_ON = "\x11"
CURSOR_OFF = "\x14"
BSP = "\x08"  # backspace
CLEARLINE = "\x18"

# TODO: stimmt das?
LEFT = "\x08"
RIGHT = "\x09"
DOWN = "\x0a"
UP = "\x0b"
HOME = "\x1e"

clear_line24 = (
    "\x1f\x58\x41"      # Cursor Zeile 24, Spalte 0
    "\x18"              # Zeile löschen
    )

error_prefix = (
    "\x1f\x2f\x40\x58"  # Servicesprung Zeile 24
    )
error_suffix = (
    "\x1f\x2f\x4f"      # Ende Servicesprung
    "\x1f\x58\x41"      # Cursor Zeile 24, Spalte 0
    )

eingabezeile = ( 
    "\x1b" # Hintergrund blau ganze Reihe
    "\x23" 
    "\x21" 
    "\x54"
    "\x44" # Hintergrund blau, Vordergrund gelb
    "\x83" )

init_screen = ( 
        "\x1f" "\x2f" "\x42"        # Grundzustand parallel
        "\x9b"
        "\x30" "\x32" "\x3b" "\x32" "\x33" "\x55"   # Scrollbereich ist Zeile 2 - 23
        "\x9b"
        "\x32" "\x60"                               # Implizites Scrollen an
        "\x1b" "\x23" "\x21" "\x54"                 # Hintergrund blau ganze Reihe
        "\x94" "\x83"                               # Hintergrund blau, Vordergrund gelb
        "\x42" "\x74" "\x78" "\x20" "\x53" "\x65" "\x72" "\x76" "\x65" "\x72"   # Btx Server
        "\x20" "\x2d" "\x20" "\x4E" "\x6F" "\x72" "\x62" "\x65" "\x72" "\x74"   #  - Norbert
        "\x20" "\x4B" "\x65" "\x68" "\x72" "\x65" "\x72" "\x2c" "\x20"          # Kehrer, 
        "\x41" "\x70" "\x72" "\x69" "\x6C" "\x20" "\x32" "\x30" "\x31" "\x36"   # April 2016 
        "\x90" "\x87"                               # Hintergrund schwarz, Vordergrund weisz
        "\x0d" "\x0a"                               # CR/LF
        "\x11"                                      # Cursor on
    )

btxlogo = (
        "\x1f\x2f\x42"      # Grundzustand parallel
        "\x1b\x7e"          # Zeichensatz G1 rechts
        "\x9b\x31\x40"      # Farbtafel 1 (Halbtöne)
        "\x1b\x23\x20\x54"  # ganzer Schirm blau
        "\x1f\x3d1# 200961a\x1f\x2f" # Link zur Demo-Startseite 200961a
        "\x1f\x43\x48\xb8\xa3\x12\x57\xe4"
        "\x1f\x44\x47\xea\xa0\x12\x59\xb5"
        "\x1f\x45\x47\xea     \xe0\xf8\xfc\xdf\x12\x49\xfc\xf4\xb0     \xb5"
        "\x1f\x46\x47\xea    \xe8\xdf\x12\x43\xbf\xa3\x12\x45\xef\xdf\x12\x43\xb4    \xb5"
        "\x1f\x47\x47\xea    \xaa\xdf\xdf\xdf\xaf\xa1\xe0\xfc\xdf\xdf\xfc\xb0\xa2\xaf\xdf\xdf\xdf\xa5    \xb5"
        "\x1f\x48\x47\xea     \xa2\xe3\xf8\xfe\xdf\xea\xdf\x12\x43\xb5\xdf\xfd\xf4\xb3\xa1     \xb5"
        "\x1f\x49\x47\xea      \xdf\x12\x43\xea\xdf\x12\x43\xb5\xdf\x12\x43      \xb5"
        "\x1f\x4a\x47\xea      \xdf\x12\x43\xfd\xf3\xaf\xaf\xf3\xfe\xdf\x12\x43      \xb5"
        "\x1f\x4b\x47\xea      \xdf\x12\x4d      \xb5" # Ende Telefon-Logo
        "\x1f\x4c\x47\xea \x12\x59\xb5"
        "\x1f\x4d\x47\xea \x12\x44\xbc\xb4\xf0\xb0\xf4\xe0\xb0\xf0\xb0\xec\xa4\xf0\xb0\xb0\xb0\xf4 \x12\x44\xb5" # Logo-Text 1
        "\x1f\x4e\x47\xea \x12\x44\xbf\xb1\xbd\xa5\xb5\xea \xb5\xb5\xea \xbd\xa5\xb9\xb1\xb5 \x12\x44\xb5" # Logo-Text 2
        "\x1f\x4f\x47\xea \x12\x44\xa1\xa1\xa3\xa1\xa3\xa2 \xa3\xa1\xa2 \xa3\xa1\xa1\xa1\xa3 \x12\x44\xb5" # Logo-Text 3
        "\x1f\x50\x47\xa2\xe4\xa0\x12\x57\xb8\xa1"
        "\x1f\x51\x49\xa3\x12\x57\r\n"
        "\x9b\x31\x40"      # Farbtafel 1
        "\x87\x19\x50\x12\x67" # Strich
        "\x9b\x30\x40"      # Farbtafel 0
        "\x87         Herzlich Willkommen in\r\n"
        "\x87               retroText!\r\n"
        "\x9b\x31\x40"      # Farbtafel 1
        "\x87\x19\x50\x12\x67"
        "\x9b\x30\x40"      # Farbtafel 0
        "\x83Mit # fortfahren\r\n"
    )